/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 *
 */

package ru.ulstu.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import ru.ulstu.model.News;
import ru.ulstu.service.NewsService;

@Controller
public class NewsController {
    private final NewsService newsService;

    public NewsController(NewsService newsService) {
        this.newsService = newsService;
    }

    @GetMapping("/editNews/{newsId}")
    public String editNews(@PathVariable(value = "newsId") Integer id, Model model) {
        model.addAttribute("news", (id != null && id != 0) ? newsService.getById(id) : new News());
        return "editNews";
    }

    @PostMapping("saveNews")
    public String saveNews(@ModelAttribute News news) {
        newsService.save(news);
        return "redirect:/";
    }
}
